.notransition {
	transition: none !important;
}

.slider {
	display: block;
	position: relative;
	transition: opacity 0.2s linear;
}

.slider.init {
	opacity: 0;
}

.slider .slides {
	position: relative;
	width: 100%;
	overflow: hidden;
}

.slider .slides > * {
	display: flex;
    position: relative;
	transition: transform 1.2s cubic-bezier(0.6,0,0.4,1);
    z-index: 1;

    -webkit-backface-visibility: hidden;
    -webkit-transform-style: preserve-3d;
}

.slider .slides.touch > * {
	transition: transform 0.4s cubic-bezier(0,0.6,0.4,1);
}

.slider .slides > * > * {
	display: block;
	position: relative;
    z-index: 2;
}

.slider li img, 
.slider li picture img,
.slider article img, 
.slider article picture img {
	width: 100%;
	height: 100%;
    object-fit: cover;
}

.slider.fadein .slides > * {
	display: block;
}

.slider.fadein .slides > * > * {
	display: block;
	position: absolute;
    opacity: 0;
	transition: opacity 1.2s linear;
    z-index: 10;
}

.slider.fadein.init .slides > * > *:nth-child(1) {
    opacity: 1;
}

.slider.fadein .slides > * > *.active,
.slider.zoomin .slides > * > *.active {
    opacity: 1;
    z-index: 20;
}

.slider.fadein li.transition {
    transition: opacity linear 1.2s;
}

.slider.zoomin li picture {
    overflow: hidden;
    transition: transform 0s 1.2s linear;
}

.slider.zoomin li.active picture {
    transform: scale(1.05);
    transition: transform 8s 0s linear;
}

.slider.pan li picture {
    transform: scale(1.15);
    transform-origin: left center;
}

.slider.pan li.transition picture {
    transform-origin: right center;
    transition: transform-origin linear 6.2s 0s;
}

.slider .ctrl-arr {
    display: none;
}

.slider .ctrl-arr.show {
    display: flex;
    justify-content: space-between;
	position: absolute;
    width: calc(100vw - (var(--page-margin) * 2));
	left: var(--page-margin);
	top: 50%;
	transform: translateY(-50%);
	z-index: 20;
}

.slider .ctrl-arr button {
	position: relative;
	/*width: min(90px, (90 / var(--base-w)) * 100vw);
	height: min(90px, (90 / var(--base-w)) * 100vw);*/
	width: min(50px, (50 / var(--base-w)) * 100vw);
	height: min(50px, (50 / var(--base-w)) * 100vw);
	background: rgba(var(--color-aqua),1) url("../images/ico-arrow-slideshow.svg") center center no-repeat;
	background-size: 100%;
	border-radius: min(10px, (10 / var(--base-w)) * 100vw);
}

.slider .ctrl-arr button:disabled {
    pointer-events: none;
    opacity: 0.2;
}

.slider .ctrl-arr button[data-dir="next"] {
    transform: scaleX(-100%);
}

.slider .ctrl-bts {
    display: none;
}

.slider .ctrl-bts.show {
    display: flex;
    flex-flow: row wrap;
    column-gap: clamp(12px, (15 / var(--base-w)) * 100vw, 15px);
}

.slider .ctrl-bts button {
	display: block;
	width: clamp(12px, (15 / var(--base-w)) * 100vw, 15px);
	height: clamp(12px, (15 / var(--base-w)) * 100vw, 15px);
	background-color: rgb(var(--color-grey-53));
	border-radius: 50%;
	padding: 0;
	transition: background-color 0.4s;
}

.slider .ctrl-bts button.ctrl-bt-on {
	background-color: rgb(var(--color-aqua));
}

.slider .slider-status {
    display: none;
	color: rgb(0,0,0);
	font-size: 16px;
	line-height: 1.2em;
}

.slider .slider-status.show {
    display: block;
}

.slider .box-shadow {
	display: none;
}

figcaption {
	display: none;
}

figure figcaption {
	display: block;
}


/*************************************
	Inline
 *************************************/


.slider.inline {
	width: 100vw;
}

.slider.inline .slides {
	width: 100vw;
}

section.header .slider.inline,
section.header .slider.inline .slides li,
section.header .slider.inline .slides picture,
section.header .slider.inline .slides img {
	display: block;
	width: auto;
    height: var(--header-img-h);
}

section.header .slider.inline .ctrl-bts {
	position: absolute;
	right: calc(max(0px, 50vw - 960px) + var(--page-margin));
	bottom: var(--page-margin);
	z-index: 20;
}

section:has(.slider.inline.full-width) > div {
	padding: 0;
}

section:not(.header) .slider.inline .slides > ul {
	column-gap: min(10px, (10 / var(--base-w)) * 100vw);
}

section:not(.header) .slider.inline .slides li,
section:not(.header) .slider.inline .slides picture,
section:not(.header) .slider.inline .slides img {
	display: block;
	width: auto;
    height: min(960px, (960 / var(--base-w)) * 100vw);
}

@media screen and (max-width: 960px) {
	.slider .ctrl-arr button {
		width: min(45px, (45 / var(--base-w-mobile)) * 100vw);
		height: min(45px, (45 / var(--base-w-mobile)) * 100vw);
		border-radius: min(10px, (10 / var(--base-w-mobile)) * 100vw);
	}
	
	section:not(.header) .slider.inline .slides > ul {
		column-gap: min(8px, (8 / var(--base-w-mobile)) * 100vw);
	}
	
	section:not(.header) .slider.inline .slides li,
	section:not(.header) .slider.inline .slides picture,
	section:not(.header) .slider.inline .slides img {
		height: min(480px, (480 / var(--base-w-mobile)) * 100vw);
	}
	/*section.header .slider.inline .ctrl-bts {
		padding-bottom: 80px;
		overflow: hidden;
	}
	section.header .slider.inline .ctrl-bts button {
		background-size: 100% auto;
	}
	section.header .slider.inline .ctrl-bts button:after {
		position: absolute;
		width: 50vw;
		left: 0;
		font-size: max(14px, (18 / var(--base-w-mobile)) * 100vw);
		text-align: left;
		margin-top: calc((40 / 18) * 1em);
	}
	section.header .slider.inline .ctrl-bts button:nth-child(n+4):after {
		left: auto;
		right: 0;
		text-align: right;
	}
	section.header .slider.inline .ctrl-bts button:after {
		display: none;
	}
	
	section.header .slider.inline .ctrl-bts button.ctrl-bt-on:after {
		display: block;
	}*/
}